[plt-scheme] Newbie Question

From: Matthew Flatt (mflatt at cs.utah.edu)
Date: Fri Nov 1 10:34:30 EST 2002

At Fri, 01 Nov 2002 10:28:47 -0500, Chad Pettit wrote:
> I am trying to run some code examples out of th "Essentials of 
> Programming Languages" book and can't get anything to work. 
>  Specifically, I am trying to run 3-5.scm.
> I added the line (load "pltscheme-init.scm") to the top of the 3-5.scm 
> file, but am now getting an "reference to undefined identifier: 
> require-library" error.
> What am I doing wrong?

If you're using DrScheme version 200 or later, forget about
"pltscheme-init.scm". Instead, choose the language called "Essentials
of Programming Languages". (The "Choose Language" menu item is in the
"Language" menu.)

Depending on your version of the book code, you might have to move a
`define-datatype' declaration before its use in `cases'.


Posted on the users mailing list.